<?php

$full_languages = array(
/* those are mozilla-europe.org supported locale codes */
    'bg',
    'ca',
    'cs',
    'da',
    'de',
    'el',
    'en',
    'es',
    'eu',
    'fi',
    'fr',
    'hu',
    'it',
    'lt',
    'nl',
    'no',
    'pl',
    'pt-PT',
    'ro',
    'ru',
    'sk',
    'sq',
    'sr',
    'sv',
    'tr',
    'uk'
);

class chooseLocale
{
    public $locales;
    public $defaultLocale;
    public $HTTPAcceptLang;

    public function __construct() {
        global $full_languages;

        $this -> HTTPAcceptLang = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
        $this -> locales        = $full_languages;
        $this -> defaultLocale  = 'en';

    }

    public function getAcceptLangArray() {
        if (empty($this->HTTPAcceptLang)) return NULL;

        return explode(',', $this->HTTPAcceptLang);
    }

    public function getCompatibleLocale() {
        $l       = $this -> defaultLocale;
        $acclang = $this -> getAcceptLangArray();

        foreach($acclang as $var)
        {
            $locale      = $this -> cleanHTTPlocaleCode($var);
            $shortLocale = array_shift(explode('-', $locale));

            if (in_array($locale, $this -> locales))
            {
                $l = $locale;
                break;
            }

            if (in_array($shortLocale, $this -> locales))
            {
                $l = $shortLocale;
                break;
            }
        }

        return $l;
    }

    private function cleanHTTPlocaleCode($str) {
        $locale = explode(';', $str);
        $locale = trim($locale[0]);

        return $locale;
    }

}

/*
 * noCachingRedirect()
 * redirects to a url bypassing our page caching system
 * so as that the redirect itself is not cached
 *
 */

function noCachingRedirect($url) {
    header('Pragma: no-cache');
    header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0, private');
    header("Location: $url");
    exit;
}
?>